#
# spec file for package net-snmp (Version 5.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  openssl openssl-devel popt popt-devel rpm-devel tcpd

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool openssl-devel perl popt-devel rpm rpm-devel tcpd-devel

Name:         net-snmp
License:      Other License(s), see package
Version:      5.1
Release:      80.22
Summary:      SNMP Daemon
Group:        Productivity/Networking/Other
URL:          http://sourceforge.net/projects/net-snmp
Provides:     snmp ucdsnmp
Obsoletes:    snmp ucdsnmp
PreReq:       %insserv_prereq %fillup_prereq
Requires:     perl-TermReadKey
Autoreqprov:  on
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       %{name}-%{version}.tar.bz2
Source1:      rc.net-snmp
Source2:      snmpd.conf
Source3:      README.SuSE
Source4:      rc.snmptrapd
Source5:      net-snmp.logrotate
Source6:      test_installed
Patch:        %{name}-%{version}-audit.diff
Patch1:       %{name}-%{version}-acinclude.diff
Patch2:       %{name}-%{version}-autoconf.diff
Patch3:       %{name}-%{version}-localperl.diff
Patch5:       %{name}-%{version}-socket_path.diff
Patch7:       %{name}-%{version}-uptime.diff 
Patch8:       %{name}-%{version}-nogetdevs.diff
Patch9:       %{name}-%{version}-confpath.diff
Patch10:      %{name}-%{version}-typeclash.diff
Patch11:      %{name}-%{version}-multdef.diff
Patch12:      %{name}-%{version}-perl.diff
Patch13:      %{name}-%{version}-include.diff
Patch14:      %{name}-%{version}-gcc.diff
Patch15:      %{name}-%{version}-64bit.diff
Patch16:      %{name}-%{version}-dlopen-conf.diff
Patch17:      %{name}-%{version}-enomedium.diff
Patch18:      %{name}-%{version}-versinfo.diff
Patch19:      %{name}-%{version}-cmdline.diff
Patch20:      %{name}-%{version}-mktemp.diff
Patch21:      %{name}-%{version}-close.diff
Patch22:      %{name}-%{version}-agentx-little64.diff
Patch23:      %{name}-%{version}-trap-pdu.diff
Patch24:      %{name}-%{version}-more-cpus.diff
Patch25:      %{name}-%{version}-meminfo-format.diff
Patch26:      %{name}-%{version}-overflow.diff
Patch27:      %{name}-%{version}-header.diff
Patch28:      %{name}-%{version}-clear-context-cache.diff
Patch29:      %{name}-%{version}-doublefree.diff
Patch30:      %{name}-%{version}-smux.patch
Patch31:      %{name}-%{version}-asn.patch
Patch32:      net-snmp-5.1-acquotation.patch
Patch33:      net-snmp-5.1_114494.patch
Patch34:      net-snmp-5.1-trap.diff
Patch35:      net-snmp_5.1.1-tcpdosfix.diff

%description
This package was originally based on the CMU 2.1.2.1 snmp code. It has
been greatly modified, restructured, enhanced and fixed. It hardly
looks the same as anything that CMU has ever released. It was renamed
from cmu-snmp to ucd-snmp in 1995 and later renamed from ucd-snmp to
net-snmp in November 2000.



Authors:
--------
    Wes Hardaker <wjhardaker@ucdavis.edu>

%package devel
Summary:      SNMP Daemon
Group:        Productivity/Networking/Other
Requires:     %{name} = %{version}
Autoreqprov:  on

%description devel
This package was originally based on the CMU 2.1.2.1 snmp code. It has
been greatly modified, restructured, enhanced and fixed. It hardly
looks the same as anything that CMU has ever released. It was renamed
from cmu-snmp to ucd-snmp in 1995 and later renamed from ucd-snmp to
net-snmp in November 2000.



Authors:
--------
    Wes Hardaker <wjhardaker@ucdavis.edu>

%package -n perl-SNMP
Summary:      Perl-SNMP
Group:        Development/Libraries/Perl
Requires:     %{name} = %{version}
Autoreqprov:  on

%description -n perl-SNMP
The Perl5 'SNMP' Extension Module v3.1.0 for the UCD SNMPv3 library.



Authors:
--------
    G.S. Marzot <gmarzot@nortelnetworks.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch5
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
%patch22
%patch23
%patch24
%patch25
%patch26
%patch27
%patch28
%patch29
%patch30
%patch31
%patch32
%patch33
%patch34
%patch35 -p1
find -name "CVS" -type d | xargs -r rm -rfv
find -name ".cvsignore" | xargs -r rm -fv

%build
rm -f aclocal.m4
autoreconf --force --install
# possibly add ucd-snmp/lmSensors later
CFLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing" \
	./configure --prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--with-sys-contact="root@localhost" \
	--with-mib-modules="host ucd-snmp/pass_persist smux ucd-snmp/diskio" \
	--with-persistent-directory=/var/lib/net-snmp \
	--with-sys-location="unknown" \
        --with-libwrap=%_prefix \
	--with-defaults \
	--enable-shared \
	--disable-static \
	--without-root-access \
	--enable-ipv6 \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=/etc \
	--enable-ucd-snmp-compatibility
make all
make test
make perlmodules
#not yet
#make perltest

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/lib/net-snmp/agents
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log
mkdir -p $RPM_BUILD_ROOT/var/lib/net-snmp
mkdir -m 700 -p $RPM_BUILD_ROOT/var/run/agentx
make DESTDIR=$RPM_BUILD_ROOT INSTALL_PREFIX=$RPM_BUILD_ROOT install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/snmpd
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT/etc/snmpd.conf
install -m 644 %{SOURCE3} .
install -m 644 %{SOURCE4} .
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/net-snmp
install -m 744 %{SOURCE6} testing/
ln -sf ../../etc/init.d/snmpd $RPM_BUILD_ROOT/usr/sbin/rcsnmpd
touch $RPM_BUILD_ROOT/var/log/net-snmpd.log
pushd perl
%perl_make_install
%perl_process_packlist
rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/Bundle/Makefile.subs.pl
popd
grep -v "^#define PACKAGE" $RPM_BUILD_ROOT/usr/include/net-snmp/net-snmp-config.h > \
	$RPM_BUILD_ROOT/usr/include/net-snmp/net-snmp-config.h.new
mv $RPM_BUILD_ROOT/usr/include/net-snmp/net-snmp-config.h{.new,}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal snmpd

%post
# we might be updating from ucdsnmp soon
/sbin/chkconfig -c snmpd && FIRST_ARG=2
%{fillup_and_insserv snmpd}

%postun
%restart_on_update snmpd
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc AGENT.txt COPYING EXAMPLE.conf EXAMPLE.conf.def
%doc README* FAQ NEWS TODO rc.snmptrapd
%config(noreplace) /etc/snmpd.conf
%config /etc/init.d/snmpd
/usr/bin/*
%dir /usr/lib/net-snmp
%dir /usr/lib/net-snmp/agents
%_libdir/libsnmp*.so.*
%_libdir/libnetsnmp*.so.*
%doc %{_mandir}/man[158]/*
/usr/sbin/*
/usr/share/snmp
/var/lib/net-snmp
/var/run/agentx
%ghost /var/log/net-snmpd.log
%config(noreplace) /etc/logrotate.d/net-snmp

%files devel
%defattr(-,root,root)
%doc ChangeLog PORTING testing
%doc %{_mandir}/man3/*
/usr/include/ucd-snmp
/usr/include/net-snmp
%_libdir/libsnmp*.*a
%_libdir/libsnmp*.so
%_libdir/libnetsnmp*.*a
%_libdir/libnetsnmp*.so

%files -n perl-SNMP
%defattr(-,root,root)
%{perl_vendorarch}/auto/SNMP
%{perl_vendorarch}/auto/NetSNMP
%{perl_vendorarch}/auto/Bundle
%{perl_vendorarch}/SNMP.pm
%{perl_vendorarch}/NetSNMP
/var/adm/perl-modules/%{name}

%changelog -n net-snmp
* Thu Oct 13 2005 - mrueckert@suse.de
- Fix DOS in stream based protocols like tcp [#96326]
* Thu Sep 15 2005 - mrueckert@suse.de
- Fixed incorrect pointer size on 64bit [#114494]
- Fixed default agent address for SNMPV1 traps [#95706]
* Thu May 19 2005 - hvogel@suse.de
- Fix length for type ASN_UNSIGNED (Bug #73804)
- Fix smux for 64bit (Bug #78983)
* Thu Feb 17 2005 - meissner@suse.de
- Better memory detection for non-i386 systems #49560,#49158,#48956
- Enabled diskio subagent. #50520
- Dynamic CPU handling, also works on more than just i386 #49700
- Correctly overflow Gauge32 and Counter32 values on 64bit #50384
- Include util_funcs.h (old ucdsnmp compat header) #49074
- Added check to init script to not load /etc/snmpd.conf twice. #49697
- Merged over double free patch I did for 5.1.2. #48776, #49889
* Tue Oct 12 2004 - meissner@suse.de
- Applied a patch from 5.2 branch to fix a "unknown PDU" bug,
  [#47096].
* Mon Sep 27 2004 - meissner@suse.de
- Fixed little endian 64bit problems. (bug #45822)
* Mon Jul 05 2004 - uli@suse.de
- sleep .3 s before starting agents (bug #42588)
* Wed Jun 30 2004 - meissner@suse.de
- Fixed 2 places of file descriptor leakage which lead to segfaults
  during readdir/fgets. #33958
* Fri Mar 19 2004 - meissner@suse.de
- remove the #define PACKAGE_ from the included autoconf
  generated config.h file. #36355
* Fri Mar 19 2004 - ro@suse.de
- use stop_on_removal and restart_on_update macros (#36306)
- package /var/log/net-snmp as %%ghost (#36435)
* Tue Mar 16 2004 - ro@suse.de
- use mktemp in fixproc (#36103)
* Mon Mar 15 2004 - ro@suse.de
- avoid segfault in version-info (limit to 300 bytes)
- open devices with NONBLOCK, don't wait for cdrom
- avoid segfault in proc-cmdline output
* Mon Feb 16 2004 - ro@suse.de
- previous 64-bit fix went just one bit too far, fixed
* Wed Feb 11 2004 - ro@suse.de
- added smux mib (for quagga)
* Mon Feb 09 2004 - ro@suse.de
- fix dlopen detection in configure
* Wed Feb 04 2004 - ro@suse.de
- added requires for perl-TermReadKey
* Tue Jan 20 2004 - ro@suse.de
- try to fix at least some 64bit issues (eg. #33958)
* Thu Jan 15 2004 - ro@suse.de
- update arguments in rc-script
* Fri Jan 09 2004 - kukuk@suse.de
- Fix some 64bit critical compiler warnings
* Fri Dec 12 2003 - hare@suse.de
- Fixed includes for build with evlog.
* Fri Nov 14 2003 - ro@suse.de
- update to 5.1
* Fri Nov 14 2003 - ro@suse.de
- build perl module as perl-SNMP
* Fri Nov 14 2003 - ro@suse.de
- enable ucd-snmp compatibility
* Thu Oct 23 2003 - ro@suse.de
- update to 5.1.pre2
* Thu Oct 23 2003 - ro@suse.de
- revised audit patch
- branched devel subpackage
- added rpm support
* Wed Oct 22 2003 - ro@suse.de
- created package and ported patches from ucd-snmp
